libzypp: zypp::parser::ProductFileData Class Reference

libzypp 17.38.15

zypp::parser::ProductFileData Class Reference

Data returned by ProductFileReader. More...

`#include <zypp/parser/ProductFileReader.h>`

## Classes
struct | Upgrade
struct | Impl

## Public Types
using | Upgrades = std::vector<Upgrade>

## Public Member Functions
| ProductFileData (Impl *allocated_r=0)
| Ctor takes ownership of `allocated_r`.
bool | empty () const
| Whether this is an empty object without valid data.
IdString | vendor () const
IdString | name () const
Edition | edition () const
Arch | arch () const
std::string | shortName () const
std::string | summary () const
std::string | productline () const
std::string | registerTarget () const
std::string | registerRelease () const
std::string | registerFlavor () const
std::string | updaterepokey () const
const Upgrades & | upgrades () const

## Private Attributes
RWCOW_pointer< Impl > | _pimpl

## Detailed Description

Data returned by ProductFileReader.

See also
  ProductFileReader

Definition at line 41 of file ProductFileReader.h.

## Member Typedef Documentation

## ◆ Upgrades

using zypp::parser::ProductFileData::Upgrades = std::vector<Upgrade>

Definition at line 93 of file ProductFileReader.h.

## Constructor & Destructor Documentation

## ◆ ProductFileData()

zypp::parser::ProductFileData::ProductFileData | ( | Impl * | allocated_r = 0 | ) |

Ctor takes ownership of `allocated_r`.

Definition at line 86 of file ProductFileReader.cc.

## Member Function Documentation

## ◆ empty()

bool zypp::parser::ProductFileData::empty | ( |  | ) | const
| inline

Whether this is an empty object without valid data.

Definition at line 49 of file ProductFileReader.h.

## ◆ vendor()

IdString zypp::parser::ProductFileData::vendor | ( |  | ) | const

Definition at line 90 of file ProductFileReader.cc.

## ◆ name()

IdString zypp::parser::ProductFileData::name | ( |  | ) | const

Definition at line 91 of file ProductFileReader.cc.

## ◆ edition()

Edition zypp::parser::ProductFileData::edition | ( |  | ) | const

Definition at line 92 of file ProductFileReader.cc.

## ◆ arch()

Arch zypp::parser::ProductFileData::arch | ( |  | ) | const

Definition at line 93 of file ProductFileReader.cc.

## ◆ shortName()

std::string zypp::parser::ProductFileData::shortName | ( |  | ) | const

Definition at line 95 of file ProductFileReader.cc.

## ◆ summary()

std::string zypp::parser::ProductFileData::summary | ( |  | ) | const

Definition at line 96 of file ProductFileReader.cc.

## ◆ productline()

std::string zypp::parser::ProductFileData::productline | ( |  | ) | const

Definition at line 98 of file ProductFileReader.cc.

## ◆ registerTarget()

std::string zypp::parser::ProductFileData::registerTarget | ( |  | ) | const

Definition at line 99 of file ProductFileReader.cc.

## ◆ registerRelease()

std::string zypp::parser::ProductFileData::registerRelease | ( |  | ) | const

Definition at line 100 of file ProductFileReader.cc.

## ◆ registerFlavor()

std::string zypp::parser::ProductFileData::registerFlavor | ( |  | ) | const

Definition at line 101 of file ProductFileReader.cc.

## ◆ updaterepokey()

std::string zypp::parser::ProductFileData::updaterepokey | ( |  | ) | const

Definition at line 103 of file ProductFileReader.cc.

## ◆ upgrades()

const ProductFileData::Upgrades & zypp::parser::ProductFileData::upgrades | ( |  | ) | const

Definition at line 105 of file ProductFileReader.cc.

## Member Data Documentation

## ◆ _pimpl

RWCOW_pointer<Impl> zypp::parser::ProductFileData::_pimpl
| private

Definition at line 97 of file ProductFileReader.h.

The documentation for this class was generated from the following files:

- zypp/parser/ProductFileReader.h
- zypp/parser/ProductFileReader.cc